"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadPlugins = void 0;
const plugin_context_1 = require("./plugin-context");
async function loadPlugins(api) {
    const { plugins } = api.config;
    for (const plugin of plugins) {
        const { name, apply } = plugin;
        if (apply) {
            const context = new plugin_context_1.PluginContext(api, name);
            try {
                apply(context);
            }
            catch (error) {
                error.message = `Failed to load plugin "${name}", ${error.message}`;
                throw error;
            }
        }
    }
}
exports.loadPlugins = loadPlugins;
