import { Ream } from '.';
import { OnFileChangeCallback, State } from './state';
export declare class PluginContext {
    private api;
    pluginName: string;
    constructor(api: Ream, pluginName: string);
    get state(): State;
    get env(): Record<string, string>;
    get constants(): Record<string, string>;
    ensureEnv(name: string, defaultValue?: string): string | undefined;
    get pluginsFiles(): {
        app: Set<string>;
        server: Set<string>;
    };
    resolveSrcDir(...args: string[]): string;
    resolveRootDir(...args: string[]): string;
    resolveDotReam(...args: string[]): string;
    defineConstant(name: string, value: any): void;
    addPluginFile(type: keyof State['pluginsFiles'], file: string): void;
    onPrepareFiles(callback: () => Promise<void>): void;
    onFileChange(callback: OnFileChangeCallback): void;
}
