export declare type OnFileChangeCallback = (event: 'add' | 'addDir' | 'change' | 'unlink' | 'unlinkDir', filepath: string) => any;
declare type CallbackWithPluginName<TCallback> = {
    pluginName: string;
    callback: TCallback;
};
export declare type State = {
    constants: {
        [k: string]: string;
    };
    pluginsFiles: {
        app: Set<string>;
        server: Set<string>;
    };
    callbacks: {
        onPrepareFiles: Set<CallbackWithPluginName<() => Promise<void>>>;
        onFileChange: Set<CallbackWithPluginName<OnFileChangeCallback>>;
    };
};
export declare const getInitialState: () => State;
export {};
