"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flattenRoutes = void 0;
const flattenRoutes = async (routes, parentPath = '') => {
    const result = [];
    for (const route of routes) {
        const component = 
        // @ts-expect-error
        typeof route.component === 'function' ? await route.component() : {};
        const path = [parentPath, route.path].filter(Boolean).join('/');
        const page = {
            preload: component.$$preload,
            staticPreload: component.$$staticPreload,
            getStaticPaths: component.$$getStaticPaths,
        };
        if (route.children) {
            const childRoutes = await exports.flattenRoutes(route.children, path);
            result.push(...childRoutes.map((r) => {
                r.matched.unshift(page);
                return r;
            }));
        }
        else {
            result.push({ path, matched: [page] });
        }
    }
    return result;
};
exports.flattenRoutes = flattenRoutes;
