"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.babelPlugin = void 0;
const core_1 = require("@babel/core");
const transform_page_exports_1 = __importDefault(require("../../babel/transform-page-exports"));
const babelPlugin = () => {
    let needSourceMap = false;
    return {
        name: `ream:babel`,
        configResolved(config) {
            needSourceMap = Boolean(config.build.sourcemap);
        },
        transform(code, id, ssr) {
            if (ssr || id.includes('node_modules'))
                return;
            if (!/\.[jt]sx$/.test(id) &&
                !/\.vue$/.test(id) &&
                !id.endsWith('?vue&type=script&lang.ts')) {
                return;
            }
            const result = core_1.transformSync(code, {
                sourceFileName: id,
                sourceMaps: needSourceMap,
                plugins: [transform_page_exports_1.default],
            });
            return (result && {
                code: result.code.replace(`import.meta.hot.accept(({
  default: updated,
  _rerender_only
}) => {`, `
$&
`),
                map: result.map,
            });
        },
    };
};
exports.babelPlugin = babelPlugin;
